/* Prettified by Source 2 Viewer 11.1.0.0 - https://valveresourceformat.github.io */

DOTADeityBlessingPicker
{
	flow-children: down;
	horizontal-align: center;
	vertical-align: bottom;
	padding-bottom: 180px;
	opacity: 0.0;
	transform: translateY( 28px ) scale3d( 0.96, 0.96, 1 );
	transition-property: opacity, transform;
	transition-duration: 0.1s;
	transition-timing-function: cubic-bezier(0, 0.9, 0, 0.9);
	transition-delay: 0s;
	z-index: 9;
}

DOTADeityBlessingPicker.ShowPicker
{
	opacity: 1.0;
	transform: none;
	transition-timing-function: ease-in;
}

.TooltipContents
{
	width: fit-children;
	flow-children: down;
	background-color: gradient( linear, 0% 0%, 0% 100%, from( #13171a ), to( #0b0f11 ) );
	border: 2px solid black;
	box-shadow: 0px 8px 40px -2px rgba(0, 0, 0, 0.6);
}

.Body
{
	flow-children: down;
	width: fit-children;
	padding: 10px 12px 8px;
}

.BottomArrow
{
	width: 36px;
	height: width-percentage( 50% );
	background-image: url("s2r://panorama/images/tooltips/tooltip_arrow.vsvg");
	background-texture-size: 72px 36px;
	background-size: cover;
	wash-color: #12181C;
	margin-top: -2px;
	horizontal-align: center;
	z-index: 1;
	visibility: collapse;
}

.BlessingsContainer
{
	flow-children: down;
	width: fit-children;
}

@define OptionHeight: 54px;
#BlessingList
{
	flow-children: right;
	width: fit-children;
	height: fit-children;
}

#BlessingList .BlessingOption
{
	flow-children: down;
	width: fit-children;
	height: fit-children;
	margin-bottom: 4px;
	overflow: noclip;
	border: 1px solid #bbbbbb;
	padding: 2px;
	margin: 2px;
	tooltip-position: top;
	transition-property: transform, brightness, background-color, border;
	transition-duration: 0.05s, 0.1s;
}

#BlessingList .BlessingOption.BlessingTaken
{
	brightness: .2;
}

#BlessingList .BlessingOption:hover:not(.BlessingTaken)
{
	brightness: 2.0;
}

#BlessingList .BlessingOption:active
{
	brightness: 1.5;
	transform: scale3d( 0.99, 0.99, 1 );
}

#BlessingList .BlessingOption #OptionImage
{
	width: OptionHeight;
	height: OptionHeight;
	border: 1px solid black;
	box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.2);
	transition-property: brightness;
	transition-duration: 0.2s;
	horizontal-align: center;
}

#BlessingList .BlessingOption #HeroImage
{
	width: 32px;
	height: 32px;
	transition-property: brightness;
	transition-duration: 0.2s;
	horizontal-align: center;
	visibility: collapse;
}

#BlessingList .BlessingOption.BlessingTaken #HeroImage
{
	visibility: visible;
}

#BlessingList .BlessingOption .OptionBorder
{
	width: 100%;
	height: 100%;
	ignore-parent-flow: true;
	border: 1px solid rgba(255, 255, 255, 0.03);
	border-brush: gradient( linear, 0% 0%, 0% 100%, from( white ), to( rgba(255, 255, 255, 0.6) ) );
	transition-property: border;
	transition-duration: 0.2s;
}

#BlessingList .BlessingOption .BlessingName
{
	font-family: titleFont;
	font-size: 10px;
	line-height: 1.2;
	color: #e1e1e1;
	vertical-align: middle;
	padding: 0px 8px;
	text-overflow: shrink;
	letter-spacing: 0.5px;
	text-shadow: 0px 1px 4px #00000090;
	text-transform: uppercase;
	font-weight: semi-bold;
	vertical-align: center;
	text-overflow: shrink;
	horizontal-align: center;
}

#NeutralCraftEnhancementList
{
	flow-children: down;
	width: 100%;
	height: fit-children;
}

#NeutralCraftEnhancementList .NeutralItemOption
{
	horizontal-align: center;
	flow-children: right;
	width: 100%;
	height: OptionHeight;
	margin-bottom: 4px;
	background-color: gradient( linear, 0% 0%, 0% 100%, from( rgba(230, 250, 255, 0.04) ), to( rgba(233, 250, 255, 0.02) ) );
	tooltip-position: top;
	transition-property: transform, brightness, background-color, border;
	transition-duration: 0.05s, 0.1s;
}

#NeutralCraftEnhancementList .NeutralItemOption:hover:not(.CraftingOptionSelected)
{
	brightness: 2.0;
}

#NeutralCraftEnhancementList .NeutralItemOption:active
{
	brightness: 1.5;
	transform: scale3d( 0.98, 0.98, 1 );
}

#NeutralCraftEnhancementList .NeutralItemOption.IsHighestDotaPlusSuggestion .DOTAPlusBorder
{
	visibility: visible;
}

#NeutralCraftEnhancementList .NeutralItemOption.IsHighestDotaPlusSuggestion .DOTAPlusIcon
{
	visibility: visible;
}

#NeutralCraftEnhancementList .NeutralItemOption.CraftingOptionSelected
{
	background-color: gradient( linear, 0% 0%, 0% 100%, from( rgba(230, 250, 255, 0.2) ), to( rgba(233, 250, 255, 0.1) ) );
}

#NeutralCraftEnhancementList .NeutralItemOption.CraftingOptionSelected .OptionBorder
{
	z-index: 1;
	border: 1px solid rgba(255, 255, 255, 1);
}

#NeutralCraftEnhancementList .NeutralItemOption.CraftingOptionSelected #OptionImage
{
	brightness: 2.0;
}

#NeutralCraftEnhancementList .NeutralItemOption.CraftingOptionSelected .ItemName,#NeutralCraftEnhancementList .NeutralItemOption.CraftingOptionSelected .CombinedItemName
{
	color: whitesmoke;
}

#NeutralCraftEnhancementList .NeutralItemOption #OptionImage
{
	width: 32px;
	height: width-percentage( 100% );
	margin: 4px 16px;
	border-radius: 50%;
	border: 1px solid black;
	box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.2);
	transition-property: brightness;
	transition-duration: 0.2s;
}

#NeutralCraftEnhancementList .NeutralItemOption .OptionBorder
{
	width: 100%;
	height: 100%;
	ignore-parent-flow: true;
	border: 1px solid rgba(255, 255, 255, 0.03);
	border-brush: gradient( linear, 0% 0%, 0% 100%, from( white ), to( rgba(255, 255, 255, 0.6) ) );
	transition-property: border;
	transition-duration: 0.2s;
}

#NeutralCraftEnhancementList .NeutralItemOption .EnhancementStats
{
	vertical-align: center;
	font-size: 15px;
	color: LighterGrey;
	line-height: 1.1;
	text-shadow: 0px 1px 4px #00000090;
	margin-right: 8px;
	width: fill-parent-flow( 1 );
	max-height: 96%;
	text-overflow: shrink;
	margin-left: -2px;
}

#NeutralCraftEnhancementList .NeutralItemOption .GameplayVariable
{
	font-weight: bold;
	color: white;
}

#NeutralCraftEnhancementList .NeutralItemOption .GameplayValues
{
	font-weight: bold;
	color: white;
}

#NeutralCraftEnhancementList .NeutralItemOption .ItemName,#NeutralCraftEnhancementList .NeutralItemOption .CombinedItemName
{
	vertical-align: bottom;
	margin: 3px 3px;
	width: 58px;
	max-height: 24px;
	font-family: titleFont;
	ignore-parent-flow: true;
	text-overflow: shrink;
	font-size: 11px;
	color: LighterGrey;
	text-align: center;
	text-overflow: shrink;
	text-shadow: 0px 1px 4px #00000090;
}

#NeutralCraftEnhancementList:not(.TrinketSelected) .Hotkey
{
	visibility: collapse;
}

.DOTAPlusRecommendationContainer
{
	flow-children: right;
	ignore-parent-flow: true;
	horizontal-align: right;
	margin: 3px 4px;
}

.DOTAPlusRecommendationContainer .DOTAPlusSuggestion
{
	font-size: 13px;
	color: #d1af58;
	vertical-align: center;
	text-shadow: 0px 1px 4px black;
	color: gradient( linear, 0% 20%, 0% 90%, from( #ffe091 ), color-stop(0.5, #f3cd6c ), to( #b59546 ) );
}

.DOTAPlusRecommendationContainer .DOTAPlusIcon
{
	width: 13px;
	margin: 0px 4px;
	vertical-align: center;
	img-shadow: 0px 1px 6px black;
	visibility: collapse;
}

.DOTAPlusBorder
{
	ignore-parent-flow: true;
	width: 100%;
	height: 100%;
	border: 1px solid rgba(255, 255, 255, 0.7);
	border-brush: gradient( linear, 0% 0%, 0% 100%, from( #ffe9b0 ), color-stop(0.5, #f3cd6c ), to( #b59e63 ) );
	visibility: collapse;
}

.HideDotaPlus .DOTAPlusSuggestion
{
	visibility: collapse;
}

.Hotkey
{
	ignore-parent-flow: true;
	margin-left: -4px;
	margin: 4px;
	z-index: 16;
	border-radius: 20%;
	vertical-align: bottom;
	horizontal-align: right;
	min-width: 15px;
	min-height: 14px;
	max-width: 70px;
	max-height: 15px;
	white-space: nowrap;
	background-color: #303232;
	border: 1px solid #000000;
}

.Hotkey Label
{
	color: white text-shadow: 1px 1px 0px 2 #000000;
	font-size: 12px;
	font-weight: normal;
	text-align: center;
	horizontal-align: center;
	margin: 0px 0px -2px 0px;
}

.NoHotkey .Hotkey
{
	visibility: collapse;
}

.NeutralChoiceHolder
{
	width: fit-children;
	height: fit-children;
	flow-children: right;
	margin-bottom: 4px;
}

.SoloName .CombinedItemName,.SoloName #PassiveItemImage,.CombinedName .ItemName
{
	visibility: collapse;
}

.RerollButton
{
	margin-bottom: 4px;
	width: 100%;
	height: 54px;
	horizontal-align: center;
	background-color: gradient( linear, 0% 100%, 0% 0%, from( #253646 ), to( #253646 ) );
	box-shadow: 1px 3px 3px #000;
	border-top: 1px solid #485677;
	transition-property: brightness;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
}

.RerollButton Label
{
	vertical-align: middle;
	horizontal-align: middle;
	letter-spacing: 0.5px;
	text-shadow: 2px 2px 0px 1.0 #00000090;
	text-transform: uppercase;
}

.RerollButton:hover
{
	brightness: 1.8;
}

.RerollButton:active
{
	border-top: 1px solid #05070c;
	brightness: 0.8;
}

.NoRollsAvailable .RerollButton
{
	visibility: collapse;
}

.HideReroll
{
	visibility: collapse;
}

.NeutralSeperator
{
	height: 100%;
	flow-children: down;
	margin: 14px 4px 0px;
}

.NeutralSeperator .HorizontalRule
{
	width: 1px;
	height: fill-parent-flow( 1.0 );
	background-color: gradient( linear, 0% 0%, 0% 100%, from( #808f9700 ), to( #808f97 ) );
	horizontal-align: center;
	opacity: 0.2;
}

.NeutralSeperator .HorizontalRule.Right
{
	transform: scaleY( -1 );
}

.NeutralSeperator .PlusIcon
{
	width: 14px;
	height: width-percentage(100%);
	margin: 4px 0px;
	wash-color: #808f97;
	img-shadow: 0px 1px 4px black;
}

.SubheaderLabel
{
	font-family: defaultFont;
	text-transform: uppercase;
	letter-spacing: 1.5px;
	font-size: 14px;
	vertical-align: top;
	text-align: center;
	width: 100%;
	margin-bottom: 4px;
	color: LighterGrey;
	text-shadow: 0px 2px 6px black;
}

